# $Revision: 1.39 $, $Date: 2002/08/11 14:43:41 $
Summary:	The GNOME system monitor
Summary(pl):	Monitor systemu dla GNOME
Name:		gtop
Version:	1.0.13
Release:	5
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtop/%{name}-%{version}.tar.gz
Patch0:		%{name}-gcc296.patch
Patch1:		%{name}-nodrag.patch
Patch2:		%{name}-use_AM_GNU_GETTEXT.patch
Patch3:		%{name}-configure.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	libgtop-devel >= 1.0.6
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
This package will install the GNOME system monitor gtop, which shows
memory graphs and processes.

%description -l pl
Ten pakiet zawiera gtop - monitor systemu dla GNOME, wywietlajcy w
postaci graficznej informacje na temat pamici i procesw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_applnkdir}/System

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO ChangeLog
%attr(755,root,root) %{_bindir}/*

%config(noreplace) %verify(not size mtime md5) %{_datadir}/gtoprc

%{_applnkdir}/System/gtop.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtop.spec,v $
Revision 1.39  2002/08/11 14:43:41  marcus
- fixed configure.in
- use new %%doc
- rel.5.

Revision 1.38  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.37  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.36  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/04/25 16:32:01  arturs
fixed a small typo

Revision 1.34  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.33  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/03 20:50:52  ankry
- adding es/pt/pt_BR Group translations

Revision 1.31  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/09/26 11:07:29  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.29  2001/08/09 10:08:37  kloczek
- bump release to 4 and some cosmetics.

Revision 1.28  2001/07/11 15:07:25  kloczek
- release 3,
- added use_AM_GNU_GETTEXT patch,
- merge nodrag rawhide patch,
- make spec ac 2.50 ready (added regenerate ac/amfiles on top %build).

Revision 1.27  2001/03/14 23:45:30  kloczek
- updated to 1.0.13.

Revision 1.26  2001/02/16 11:30:06  misiek
1.0.12

Revision 1.25  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.24  2001/01/29 17:03:55  kloczek
- updated to 1.0.11.

Revision 1.23  2001/01/04 09:24:08  kloczek
- relase 2, Epoch: 1 (for allow upgrade from RH).

Revision 1.22  2000/11/21 01:44:42  kloczek
- updated to 1.0.10.

Revision 1.21  2000/10/27 09:13:24  kloczek
- release 7: rebuild against gnome-libs libked with db3.

Revision 1.20  2000/10/12 21:27:20  kloczek
- release 6,
- merge gcc296 RH parch,
- use new rpm automation.

Revision 1.19  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/06/07 23:26:51  kloczek
- updated to 1.0.9,
- added --with-gnome to %%find_lang parameters,
- removed applk patch.

Revision 1.16  2000/05/26 01:24:37  bonkey
- upgrade to 1.0.8

Revision 1.15  2000/05/20 13:58:20  kloczek
- spec adapterized.

Revision 1.14  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.13  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.12  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/17 07:04:26  kloczek
- more rpm macros,
- added missing pixmaps.

Revision 1.10  2000/03/17 06:43:35  kloczek
- updated to 1.0.7.

Revision 1.9  2000/01/31 20:01:56  kloczek
- release 3,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.8  2000/01/16 23:55:43  kloczek
- release 2,
- adapter(ized),
- added gettext-devel to BuildRequires list.

Revision 1.7  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.6  1999/09/30 22:33:29  kloczek
- updated to 1.0.5,
- desktop patch renamed to applnk.

Revision 1.5  1999/09/25 18:08:23  kloczek
- uppdated to 1.0.4.

Revision 1.4  1999/09/22 18:11:06  kloczek
- fixed BuildeRequire rule for libgtop-devel (>= 1.0.0).

Revision 1.3  1999/09/22 17:47:45  kloczek
- cosmetics.

Revision 1.2  1999/09/22 11:22:10  pius
- spec file rewritten for PLD use
- updated to 1.0.3

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

based on RH spec file
